phys_to_virt
Prev | Chapter 5. Public Functions Provided | Next

## Name

phys_to_virt — map physical address to virtual

## Synopsis

`void * phys_to_virt (` | unsigned long | address`)`;

## Arguments

`address`

  address to remap

## Description

The returned virtual address is a current CPU mapping for the memory address given. It is only valid to use this function on addresses that have a kernel mapping

This function does not handle bus mappings for DMA transfers. In almost all conceivable cases a device driver should not be using this function

Prev | Up | Next
virt_to_phys | Home | ioremap